Last modified: 2014-01-04 09:25:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53834 - Pronoun selection has gender bias
Pronoun selection has gender bias
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.22.0
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 31816
Blocks: gender
  Show dependency treegraph
 
Reported: 2013-09-06 01:09 UTC by Jared Zimmerman (WMF)
Modified: 2014-01-04 09:25 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jared Zimmerman (WMF) 2013-09-06 01:09:32 UTC
In user pref / Profile gender selection is used for addressing users and their actions on site, however male pronoun is the top (although not default) selection


/// Current implementation ///
How do you prefer to be described?

	
 He edits wiki pages
 She edits wiki pages
 I prefer not to detail

Setting this preference is optional. The software uses its value to address you and to mention you to others using the appropriate grammatical gender. This information will be public.

//////


/// Proposed ///

When you do things on the site that you want other people to know about, we say something like 'Sam replied to you on his talk page' or 'You thanked Janet for her edits' how would you like the site to describe your actions?

They edit their wiki sandbox (They/Their)
She edits her wiki sandbox (She/Her/Hers)
He edits his wiki sandbox (He/Him/His)

////


With the default selection being They/Their
Comment 1 Adam Wight 2013-09-06 01:47:44 UTC
Brilliant intervention!
Comment 2 Bartosz Dziewoński 2013-09-06 10:02:46 UTC
Just so you know, the exact wording there went through a lot of pain and bikeshedding on https://gerrit.wikimedia.org/r/#/c/30756/.
Comment 3 Nemo 2013-09-06 10:54:50 UTC
(In reply to comment #0)
> They edit their wiki sandbox (They/Their)

Nope, this doesn't work. It suggests that finding an equivalent of the singular they in other languages is required, while most languages don't have any and this is just the "I don't care" / "I don't want to answer" option, as noted on bug 53311 which is the contrary of what you request.

> She edits her wiki sandbox (She/Her/Hers)
> He edits his wiki sandbox (He/Him/His)

I also don't see the need to add more pronouns. The focus on pronouns would be a distraction: they just happen to be the easiest example of grammatical gender distinction in English.

The proposed explanation is not correct in "When you do things on the site that you want other people to know about" and lacks a period before "how would", feel free to make a more precise suggestion.

What we can do immediately is changing the order; it doesn't need to reflect the [[translatewiki:Gender]] syntax.
Comment 4 Niklas Laxström 2013-09-06 11:15:41 UTC
FYI: https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=GENDER+AND+%28she+OR+her%29&language=en

I'm okay with changing the order of options.

"They edit their wiki sandbox" sounds borderline ungrammatical to me, and is more difficult to translate than the current text. I don't think listing the pronouns itself in the options is useful.

The explanation text can be improved, but the proposed version introduces more elements which are difficult to translate, and repetition of the options itself.
Comment 5 Gerrit Notification Bot 2013-09-06 11:24:56 UTC
Change 83083 had a related patch set uploaded by Nemo bis:
Clarify "unknown gender" option is a non-answer and resort

https://gerrit.wikimedia.org/r/83083
Comment 6 MZMcBride 2013-09-06 12:44:24 UTC
Comment 0 gives no indication of what problem is attempting to be solved here. Can someone please clarify?
Comment 7 Jared Zimmerman (WMF) 2013-09-06 17:54:58 UTC
(In reply to comment #6)
MZMcBride, there are three issues. 

1. The 3rd option is a non-answer, and implies that people who do not fit into binary genders "decline to say" rather than choosing a 3rd valid option. For people who would intentionally choose a non-gender binary option they are NOT answering "unknown."
2. By having the masculine pronoun first there is the less than subtle implication that it is the default. 
3. The options obfuscate what happens in the system when the current 3rd option is chosen, it implies that the user is "opting-out" of the system, when in fact they are choosing a gender neutral means of the system addressing them.

This bug seeks primarily to rectify issue 3, but also change the tone of the explanation text for why we ask in the first place. The current one is somewhat devoid of any personality and is rather cold and technical. 

As far as this being english only. While I'm logging this bug in english and it refers to the current english language copy on the site, it was meant to spark the conversation for this setting in all languages. I think this is a workable improvement to what we have in english and I'd challenge speakers of other languages to attempt to make improvements in their own language to be more inclusive and open to project contributors of any gender. 

I think it would be fine not to include the pronouns after the examples.
Comment 8 Nemo 2013-09-06 18:05:19 UTC
(In reply to comment #7)
> 1. The 3rd option is a non-answer, and implies that people who do not fit
> into
> binary genders "decline to say" rather than choosing a 3rd valid option. For
> people who would intentionally choose a non-gender binary option they are NOT
> answering "unknown."

Why would "decline to say" be something bad?

> 2. By having the masculine pronoun first there is the less than subtle
> implication that it is the default. 
> 3. The options obfuscate what happens in the system when the current 3rd
> option
> is chosen, it implies that the user is "opting-out" of the system, when in
> fact
> they are choosing a gender neutral means of the system addressing them.

Not necessarily, and actually mostly not. It just means that they don't care about whatever is currently the default language. The default is hopefully gender neutral enough but may be not; or it may just not matter at all in the language of the user.

> 
> This bug seeks primarily to rectify issue 3, but also change the tone of the
> explanation text for why we ask in the first place. The current one is
> somewhat
> devoid of any personality and is rather cold and technical. 

Grammatical gender is something rather cold and technical. If you proposal seeks to add more emotions to this heated-enough topic which should focus on grammatical issues, then it's surely a bad idea.

> 
> As far as this being english only. While I'm logging this bug in english and
> it
> refers to the current english language copy on the site, it was meant to
> spark
> the conversation for this setting in all languages. I think this is a
> workable
> improvement to what we have in english 

Both are true, but only in part; see above.

> and I'd challenge speakers of other
> languages to attempt to make improvements in their own language to be more
> inclusive and open to project contributors of any gender. 

The message documentation already encourages translators to do so.
Comment 9 Jared Zimmerman (WMF) 2013-09-07 09:05:39 UTC
Nemo,

emotion isn't the right word, but the tone of the current explanatory text is impersonal and due to its wording and placement (below controls) could be confusing, many user will not know what "grammatical gender" even means, leading to more confusion.

line by line analysis:

Setting this preference is optional.
- not really, since its a radio control, you have to selection something

The software uses its value to address you and to mention you to others using the appropriate grammatical gender. 
- "the software" many user don't think of websites as software, this feels overly technical, and isn't in simplified language that is clear on first read
- The target of "its" is unclear
- "mention you to others" is another sentence where the context is unclear, in what cases does the software mention me to others?
- "grammatical gender" while technically correct, is overly specific, many users would have to look this up, to determine how this differs from "gender" and really in this particular instance does that difference really matter?



This information will be public.
- plenty of user actions and attributes are public on the site, why does this particular one need a callout to say so?
Comment 10 Bartosz Dziewoński 2013-09-07 11:26:20 UTC
(In reply to comment #9)
> - "mention you to others" is another sentence where the context is unclear,
> in what cases does the software mention me to others?

For example in page logs and in User: namespace name for your userpage. (You really need to use a wiki in language that actually uses grammatical gender for more things than pronouns to see how ubiquitous this is.)


(In reply to comment #9)
> This information will be public.
> - plenty of user actions and attributes are public on the site, why does this
> particular one need a callout to say so?

I assume that because gender can be considered private information like real name or age.



Honestly, the more I'm reading this discussion, the more I'm leaning towards the simple male / female / other choice we had earlier. There are way fewer issues with it than apparently with what we have now.
Comment 11 Nemo 2013-09-07 11:42:09 UTC
(In reply to comment #9)
> Setting this preference is optional.
> - not really, since its a radio control, you have to selection something

Yes but "I prefer not to detail" means not setting the preference. It's you proposing to make it an active choice. :) True, we are trying to clarify that.
We could also tweak the explanation to recall the option itself, which with the current English would make "Detailing this is optional".

(In reply to comment #9)
> The software uses its value to address you and to mention you to others using
> the appropriate grammatical gender. 
> - "the software" many user don't think of websites as software, this feels
> overly technical, and isn't in simplified language that is clear on first
> read

Your proposal however is to just use "we" which is even more confusing, who is we? Everyone can use GENDER magic word to access your preference, e.g. any6one writing you a message on your talk page.

> - The target of "its" is unclear

Good point; "its value" can be replaced with "your choice".

> - "mention you to others" is another sentence where the context is unclear,
> in
> what cases does the software mention me to others?

Everywhere and also in the example above where it's not the site/wiki but just a user mentioning you.

> - "grammatical gender" while technically correct, is overly specific, many
> users would have to look this up, to determine how this differs from "gender"
> and really in this particular instance does that difference really matter?

What's the problem if they don't know? If they don't, it means in their language/experience it doesn't matter. The importance is that we don't use it for anything else, e.g. we don't have lists of users by gender based on this preference, we don't make the site pink for female users, we don't have a functionality "find a male/female near you".

> This information will be public.
> - plenty of user actions and attributes are public on the site, why does this
> particular one need a callout to say so?

Because the other preferences are never public.
Comment 12 Gerrit Notification Bot 2013-09-12 09:41:10 UTC
Change 83083 merged by jenkins-bot:
Clarify "unknown gender" option is a non-answer and resort

https://gerrit.wikimedia.org/r/83083
Comment 13 Nemo 2013-10-04 16:18:10 UTC
Almost a month passed since the merge, I'll call this fixed. Feel free to reopen.

For those who suffer in the absence of a GENDER pseudo-flame ;), there's a sort-of-related discussion on gender being "demographics information" collected by MediaWiki on accounts at <https://meta.wikimedia.org/w/index.php?title=Talk:Privacy_policy&oldid=5933956#Registration_and_.22demographic_information_about_yourself.22>.
Comment 14 PiRSquared17 2014-01-04 03:46:53 UTC
(In reply to comment #0)
> 
> They edit their wiki sandbox (They/Their)
> She edits her wiki sandbox (She/Her/Hers)
> He edits his wiki sandbox (He/Him/His)
> 

This bug is old, but I just wanted to ask why moving "She" above "He" makes it gender-neutral. The order is arbitrary, isn't it?
Comment 15 Jared Zimmerman (WMF) 2014-01-04 04:02:29 UTC
I thought this was resolved but it doesn't seem to be…

This is what is on en.wiki currently…

How do you prefer to be described?	

( ) (I prefer not to say)
( ) She edits wiki pages
( ) He edits wiki pages

—

While it is different than what we had originally it doesn't really solve for the issue that "I prefer not to say" is a non-answer. For someone who Does want to say but is not a binary gender. Also as I mentioned before we're not being upfront with whats actually happening in the system. E.g. for users that do not answer the question for some sites they will refer to them as genderless (they/their) where as some language sites will assume male. 

@PiRSquared17 the ordering was because even though the default was "I prefer not to detail" was at the bottom, rarely are defaults at the bottom, so the order was changed to have the default at the top.
Comment 16 Nemo 2014-01-04 08:51:55 UTC
Then it's not doable. Please read [[translatewiki:Gender]]. There is no other option in GENDER and there's no third formulation for that sentence in English.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links